> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://devin.ferndocs.com/api-reference/v-3/bulk-remove-indexed-repositories/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://devin.ferndocs.com/_mcp/server. # Bulk remove repositories from indexing DELETE https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing Content-Type: application/json Disables indexing and clears configured branches for a batch of repositories. Reference: https://devin.ferndocs.com/api-reference/v-3/bulk-remove-indexed-repositories ## Authentication - `Authorization` header (bearer token, required) — Personal API Key (apk_user_*) or Service API Key (apk_*) ## Request ### Path parameters - `org_id` (string, required) ### Body (application/json) This endpoint expects a RemoveRepositoriesRequest. - `repository_paths` (list of string, required) ## Response ### 200 Successful Response - `list of RepositoryIndexingResponse` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### RepositoryIndexingResponse - `branches` (list of string, required) - `indexing_enabled` (boolean, required) - `repository_path` (string, required) - `indexing_status` (RepoIndexingStatusResponse, optional, nullable) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### RepoIndexingStatusResponse - `indexing_enabled` (boolean, required) - `latest_completed_search_index_job` (RepoIndexJobResponse, required, nullable) - `latest_completed_wiki_index_job` (RepoIndexJobResponse, required, nullable) - `latest_indexes` (list of RepoIndexJobResponse, required) ### ValidationErrorLocItems ### RepoIndexJobResponse - `branch_name` (string, required, nullable) - `commit` (string, required) - `created_at` (integer, required) - `job_id` (string, required) - `status` (enum, required) - Allowed values: `failed`, `completed`, `in_progress` ## Examples **Request** ```json { "repository_paths": [ "github.com/example-org/project-alpha" ] } ``` **Response** ```json [ { "branches": [ "main", "develop" ], "indexing_enabled": false, "repository_path": "github.com/example-org/project-alpha", "indexing_status": { "indexing_enabled": false, "latest_completed_search_index_job": { "branch_name": "main", "commit": "a1b2c3d4e5f67890123456789abcdef123456789", "created_at": 1685606400, "job_id": "job-12345", "status": "completed" }, "latest_completed_wiki_index_job": { "branch_name": "main", "commit": "f1e2d3c4b5a67890123456789abcdef123456789", "created_at": 1685520000, "job_id": "job-12346", "status": "completed" }, "latest_indexes": [ { "branch_name": "develop", "commit": "9f8e7d6c5b4a3210987654321abcdef987654321", "created_at": 1685433600, "job_id": "job-12347", "status": "completed" } ] } } ] ``` **SDK Code** ```python import requests url = "https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing" payload = { "repository_paths": ["github.com/example-org/project-alpha"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing'; const options = { method: 'DELETE', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"repository_paths":["github.com/example-org/project-alpha"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing" payload := strings.NewReader("{\n \"repository_paths\": [\n \"github.com/example-org/project-alpha\"\n ]\n}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"repository_paths\": [\n \"github.com/example-org/project-alpha\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"repository_paths\": [\n \"github.com/example-org/project-alpha\"\n ]\n}") .asString(); ``` ```php request('DELETE', 'https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing', [ 'body' => '{ "repository_paths": [ "github.com/example-org/project-alpha" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"repository_paths\": [\n \"github.com/example-org/project-alpha\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["repository_paths": ["github.com/example-org/project-alpha"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.devin.ai/v3beta1/organizations/org_id/repositories/indexing")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```